KDEINIT4(8)

NAME
kdeinit4 - Lanzador de procesos de KDE.

RESUMEN

kdeinit4 [--help] [[--no-fork] | [--no-kded] | [--suicide]] [[+programs] | [programs]]

DESCRIPCIóN

kdeinit4 es un lanzador de procesos parecido a la orden init que se utiliza para arrancar UNIX. Ejecuta los programas de KDE y los módulos cargables de kdeinit (KLM) iniciándolos mas eficientemente.

El uso de kdeinit4 para lanzar una aplicación de KDE hace que el tiempo de inicio de una aplicación típica de KDE sea dos veces mas rápido y reduce el consumo de memoria de forma importante.

kdeinit4 está enlazado contra todas las bibliotecas que necesita una aplicación estándar de KDE. Mediante esta técnica, el inicio de una aplicación es mucho mas rápido porque solo se necesita enlazar a la propia aplicación, mientras que en otro caso se necesita enlazar tanto a la aplicación como a las bibliotecas.

DESVENTAJAS

El nombre del proceso de una aplicación arrancada mediante kdeinit4 es «kdeinit4». Este problema puede corregirse en cierto grado cambiando el nombre de la aplicación como se muestra con ps. Sin embargo, aplicaciones como killall solo verán kdeinit4 como nombre de proceso. Para solucionar esto utilice kdekillall (de kdesdk/scripts) para las aplicaciones arrancadas mediante kdeinit4.

OPCIONES

--help
    Muestra ayuda sobre las opciones

--no-fork
    No bifurcar, es decir, no salir hasta que todos los programas ejecutados finalicen

--no-kded
    No iniciar kded

--suicide
    Finalizar cuando no queden aplicaciones de KDE en ejecución

+programs
    ejecuta las peticiones de manipulación de los programas

programas
    ejecuta los programas sin peticiones de manipulación

UTILIZACIóN

Un modo estándar de ejecutar este programa es especificar lo siguiente en la línea de ordenes kdeinit4 program or kdeinit4 +program

ARCHIVOS

/tmp/kde-$USER/kdeinit4_$INSTANCE
    ...

VARIABLES DE ENTORNO

$HOME
    Especifica el directorio personal del usuario actual

$KDE_HOME_READONLY
    Especifica si el directorio personal del usuario actual es de solo lectura

$KDE_IS_PRELINKED
    Si está activado, indica a kdeinit4 que los programas de KDE están preenlazados.

    (El preenlazado es un proceso que le permite aumentar la velocidad del proceso de enlace dinámico).

$KDE_DISPLAY
    Si está activado, indica a kdeinit4 que se está ejecutando en un escritorio KDE.

VEA TAMBIéN

kded, kdekillall

FALLOS

Probablemente haya montones de fallos. Para informar acerca de ellos, utilice bugs.kde.org[1].

AUTHORS

Waldo Bastian <bastian@kde.org>
    Author.

Mario Weilguni <mweilguni@sime.com>
    Author.

Lubos Lunak <l.lunak@kde.org>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org